This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 636162 - RFE: screenshot: API for taking a screenshot of a graphical console
RFE: screenshot: API for taking a screenshot of a graphical console
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks: libvirtTodoHV
  Show dependency treegraph
 
Reported: 2010-09-21 11:20 EDT by Daniel Berrange
Modified: 2011-07-07 10:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-07 10:37:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2010-09-21 11:20:15 EDT
Description of problem:
Support capture of a screenshot of a guest console. This would work regardless of what type of graphical console is configured, so apps don't need to learn to speak VNC/SPICE/SDL/etc

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2011-07-07 10:37:15 EDT
commit 1f9f12140f195894cc2050288cd7280231b53521
Author: Michal Privoznik <mprivozn@redhat.com>
Date:   Mon Apr 4 14:07:43 2011 +0200

    screenshot: Implementing the public API
    
    * src/libvirt.c: new function virDomainScreenshot

Note You need to log in before you can comment on or make changes to this bug.